EZ_GetCursor()

NAME
EZ_GetCursor, EZ_GetCursorByName - retrieve a cursor id

SYNOPSIS
#include <EZ.h>

Cursor  EZ_GetCursor(int id)

Cursor  EZ_GetCursorByName(char *name)

char  *EZ_GetCursorName(Cursor cursor)

ARGUMENTS
id Specifies a small integer.

name Specifies a cursor name.

cursor Specifies a cursor id.

DESCRIPTION

The first two functions return an X cursor. The argument to EZ_GetCursor must be one of the symbolic contants defined in /usr/include/X11/cursorfont.h or the index returned by EZ_CreateCursorFrom.... The argument to EZ_GetCursorByName must be either the string form of the symbolic constants in /usr/include/X11/cursorfont.h or a name given to a user defined cursor.

On failure, both functions returns None.

EZ_GetCursorName does exactly the opposite of EZ_GetCursorByName, it returns the cursor name.

SEE ALSO
EZ_WaitCursor(3), EZ_CreateCursorFromBitmapFile(3)